- [HTTP request](https://docs.cloud.google.com/dataflow/docs/reference/rest/v1b3/projects.jobs/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/dataflow/docs/reference/rest/v1b3/projects.jobs/get#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/dataflow/docs/reference/rest/v1b3/projects.jobs/get#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/dataflow/docs/reference/rest/v1b3/projects.jobs/get#body.request_body)
- [Response body](https://docs.cloud.google.com/dataflow/docs/reference/rest/v1b3/projects.jobs/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/dataflow/docs/reference/rest/v1b3/projects.jobs/get#body.aspect)
- [Try it!](https://docs.cloud.google.com/dataflow/docs/reference/rest/v1b3/projects.jobs/get#try-it)

Gets the state of the specified Cloud Dataflow job.

To get the state of a job, we recommend using `projects.locations.jobs.get` with a [regional endpoint](https://cloud.google.com/dataflow/docs/concepts/regional-endpoints). Using `projects.jobs.get` is not recommended, as you can only get the state of jobs that are running in `us-central1`.

### IAM Permissions

Requires the `dataflow.jobs.get` permission on the job.

### HTTP request

Choose an endpoint:
global   
`GET https://dataflow.googleapis.com/v1b3/projects/{projectId}/jobs/{jobId}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `projectId` | `string` The ID of the Cloud Platform project that the job belongs to. |
| `jobId` | `string` The job ID. |

### Query parameters

| Parameters ||
|---|---|
| `view` | ``enum (`https://docs.cloud.google.com/dataflow/docs/reference/rest/v1b3/JobView`)`` The level of information requested in response. |
| `location` | `string` The [regional endpoint](https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains this job. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/dataflow/docs/reference/rest/v1b3/projects.jobs#Job`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).